Bug 1327640 - java.io.IOException: Cannot run program "/home/cheese" (in directory "/run/media/cheese/d9bd1b8b-a3ca-4959-807e-d6f9de9d8810/python-agent"): error=13, Permission denied
Summary: java.io.IOException: Cannot run program "/home/cheese" (in directory "/run/me...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-pydev
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1179658138;
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-15 14:19 UTC by Robin Lee
Modified: 2016-11-25 10:42 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-25 10:42:42 UTC


Attachments (Terms of Use)
File: backtrace (1.40 KB, text/plain)
2016-04-15 14:19 UTC, Robin Lee
no flags Details

Description Robin Lee 2016-04-15 14:19:26 UTC
Version-Release number of selected component:
eclipse-pydev-4.5.3-1.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/java -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.100.v20160304-1300.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.5.2.v20160304-1300/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.300.v20160304-1300/eclipse_1613.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.100.v20160304-1300.jar -protect master --launcher.appendVmargs -exitdata ff800d -vm /usr/bin/java -vmargs -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.100.v20160304-1300.jar
eclipseplugin:  org.python.pydev.shared_core
executable:     /usr/lib64/eclipse/dropins/pydev-core/eclipse/plugins/org.python.pydev.shared_core_4.5.3.201601221600
kernel:         4.4.6-300.fc23.x86_64
runlevel:       N 5
type:           libreport
uid:            1000

Truncated backtrace:
java.lang.RuntimeException: java.io.IOException: Cannot run program "/home/cheese" (in directory "/run/media/cheese/d9bd1b8b-a3ca-4959-807e-d6f9de9d8810/python-agent"): error=13, Permission denied
	at org.python.pydev.runners.SimpleRunner.run(SimpleRunner.java:312)
	at org.python.pydev.runners.SimpleRunner.run(SimpleRunner.java:278)
	at org.python.pydev.runners.SimpleRunner.runAndGetOutput(SimpleRunner.java:329)
	at org.python.pydev.builder.pylint.PyLintVisitor$PyLintThread.passPyLint(PyLintVisitor.java:231)
	at org.python.pydev.builder.pylint.PyLintVisitor$PyLintThread.run(PyLintVisitor.java:113)
Caused by: java.io.IOException: Cannot run program "/home/cheese" (in directory "/run/media/cheese/d9bd1b8b-a3ca-4959-807e-d6f9de9d8810/python-agent"): error=13, Permission denied
	at java.lang.ProcessBuilder.start(ProcessBuilder.java:1048)
	at java.lang.Runtime.exec(Runtime.java:620)
	at org.python.pydev.shared_core.process.ProcessUtils.createProcess(ProcessUtils.java:103)
	at org.python.pydev.runners.SimpleRunner.createProcess(SimpleRunner.java:51)
	at org.python.pydev.runners.SimpleRunner.run(SimpleRunner.java:310)
	... 4 more
Caused by: java.io.IOException: error=13, Permission denied
	at java.lang.UNIXProcess.forkAndExec(Native Method)
	at java.lang.UNIXProcess.<init>(UNIXProcess.java:248)
	at java.lang.ProcessImpl.start(ProcessImpl.java:134)
	at java.lang.ProcessBuilder.start(ProcessBuilder.java:1029)
	... 8 more

Comment 1 Robin Lee 2016-04-15 14:19:33 UTC
Created attachment 1147671 [details]
File: backtrace

Comment 2 Alexander Kurtakov 2016-06-17 12:53:20 UTC
Can you give us instructions how to reproduce this bug? If you still experience it yourself of course.

Comment 3 Fedora End Of Life 2016-11-25 07:22:05 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Mat Booth 2016-11-25 10:42:42 UTC
No reproduction instructions were provided by the reporter.


Note You need to log in before you can comment on or make changes to this bug.